cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/pricing_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"pricing_period": {
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.pricing_periods.create_settings_pricing_period(
{
"pricing_period": {
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.createSettingsPricingPeriod({
pricing_period: {
name: 'Monthly price',
display_name: 'Monthly price',
time_period: 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->createSettingsPricingPeriod([
'pricing_period' => [
'name' => 'Monthly price',
'display_name' => 'Monthly price',
'time_period' => 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().createSettingsPricingPeriod(
Map.of(
"pricing_period", Map.of(
"name", "Monthly price",
"display_name", "Monthly price",
"time_period", "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.CreateSettingsPricingPeriodAsync(new Dictionary<string, object?>
{
["pricing_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly price",
["display_name"] = "Monthly price",
["time_period"] = "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.createSettingsPricingPeriod({
'pricing_period': {
'name': 'Monthly price',
'display_name': 'Monthly price',
'time_period': 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().CreateSettingsPricingPeriod(context.Background(), map[string]any{
"pricing_period": map[string]any{
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Pricing periods
Create a pricing period
Creates a pricing period and returns it under pricing_period.
POST
/
settings
/
pricing_periods
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/pricing_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"pricing_period": {
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
}
}'from exsited import build_client
client = build_client()
response = client.pricing_periods.create_settings_pricing_period(
{
"pricing_period": {
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.pricingPeriods.createSettingsPricingPeriod({
pricing_period: {
name: 'Monthly price',
display_name: 'Monthly price',
time_period: 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->pricingPeriods->createSettingsPricingPeriod([
'pricing_period' => [
'name' => 'Monthly price',
'display_name' => 'Monthly price',
'time_period' => 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.pricing_periods.pricing_periods_dto.PricingPeriodsDto.SettingsPricingPeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsPricingPeriod> response = client.pricingPeriods().createSettingsPricingPeriod(
Map.of(
"pricing_period", Map.of(
"name", "Monthly price",
"display_name", "Monthly price",
"time_period", "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PricingPeriods.CreateSettingsPricingPeriodAsync(new Dictionary<string, object?>
{
["pricing_period"] = new Dictionary<string, object?>
{
["name"] = "Monthly price",
["display_name"] = "Monthly price",
["time_period"] = "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.pricingPeriods.createSettingsPricingPeriod({
'pricing_period': {
'name': 'Monthly price',
'display_name': 'Monthly price',
'time_period': 'tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PricingPeriods().CreateSettingsPricingPeriod(context.Background(), map[string]any{
"pricing_period": map[string]any{
"name": "Monthly price",
"display_name": "Monthly price",
"time_period": "tp_2b1b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"pricing_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}Send the new pricing period under
pricing_period. Link it to a time period by sending the time period’s tp_ id as time_period. The response carries that time period under time_period.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new pricing period, under pricing_period.
Show child attributes
Show child attributes